commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Stansberry <bes_commons_...@yahoo.com>
Subject Re: [logging] update docs to specify that java 1.1 is supported
Date Sun, 17 Apr 2005 18:46:31 GMT

--- robert burrell donkin
<robertburrelldonkin@blueyonder.co.uk> wrote:
> On Sat, 2005-04-16 at 00:18 -0700, Brian Stansberry
> wrote:
> > --- Simon Kitching <skitching@apache.org> wrote:
> > > On Fri, 2005-04-15 at 00:02 -0700, Brian
> Stansberry
> 
> <snip>
> 
> > > > 3) Did a little archeology and it looks like
> JCL
> > > 1.0.1
> > > > was cut about a week before the
> AccessController
> > > stuff
> > > > was added.  So that's the last release that
> ran on
> > > JDK
> > > > 1.1.
> > > 
> > > Yep, that's how I read the CVS/SVN logs too.
> Version
> > > 1.0.2 was JDK1.2
> > > only.
> > > 
> > > There's no information I can find on whether the
> > > change to drop JDK 1.1
> > > was deliberate or not..
> > 
> > For odd reasons (see below) I was reading Bugzilla
> > 10825, and in the bug's discussion thread there
> are
> > comments made just a few weeks before the
> > AccessController stuff was added that JDK 1.1.8
> > compatibility was important.
> 
> the loss of support was accidental: i would
> definitely have -1'd the
> release (which would have sunk it) had i know about
> the loss of java 1.1
> support. (at the very least, the numbering rules
> mean that it should
> have to have been released as JCL 1.1 or JCL 2
> rather than 1.0.2.)

BTW, I forgot to mention this in my earlier comments
on running w/ JDK 1.1.  For both JCL 1.0.1 and 1.0 the
binary download didn't run (got a NoClassDefFoundError
looking for LogFactory).  I had to rebuild from source
to get them to run.  I'm *speculating* the binaries
were compiled targetting JDK 1.2 and the 1.1 JVM
reacted by throwing a NoClassDefFoundError.  I know
later versions of the JDK give you a message saying
they don't understand the class format; maybe 1.1
didn't do that??

I point this out because if we put a note in the wiki
saying 1.0.1 and earlier work with JDK 1.1 we should
probably be sure the download binaries work :)

Brian

> 
> - robert
> 
> 
>
---------------------------------------------------------------------
> To unsubscribe, e-mail:
> commons-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail:
> commons-dev-help@jakarta.apache.org
> 
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message